<meta http-equiv="X-UA-Compatible" charset="UTF-8">
<!doctype html>
<html>
  <!-- Copyright (C) 2022, 2023, 2024 Rob Wieringa <rma.wieringa@gmail.com>

  This file is part of Depyct.
  Depyct offers Dezyne web views based on Scalable Vector Graphics (SVG)

  Depyct is free software, it is distributed under the terms of
  the GNU General Public Licence version 3 or later.
  See <http://www.gnu.org/licenses/>. -->
  <head>
    <title>System Diagram Help</title>
    <style>
      * { font-family: arial }
      h3 { font-size: 1.1rem }
      table { border-collapse: collapse; width: 100%; font-size: 1rem }
      tr { border-bottom: 1px solid #CCCCCC; }
      tr:hover {background-color: #DDEEFF;}
      td { padding: 3px; }
      td:first-child { width: 30%; }
      td.ind { text-indent: 20px; }
    </style>
  </head>
  <body>
    <h3>help</h3>
    <table>
      <tr><td>F1 or ?</td><td>open this help page</td></tr>
    </table>
    <h3>zooming and scrolling</h3>
    <table>
      <tr><td>ctrl mouse scroll</td><td>zoom in or out around the mouse pointer location</td></tr>
      <tr><td>ctrl +</td><td>zoom in around the mouse pointer location</td></tr>
      <tr><td>ctrl -</td><td>zoom out around the mouse pointer location</td></tr>
      <tr><td>ctrl 1</td><td>reset the zoom factor to 1</td></tr>
      <tr><td>ctrl 0</td><td>zoom such that the whole diagram fits on the canvas</td></tr>
      <tr><td>mouse scroll</td><td>scroll the diagram up or down</td></tr>
      <tr><td>shift mouse scroll</td><td>scroll the diagram left or right</td></tr>
      <tr><td>shift down arrow</td><td>scroll the diagram down</td></tr>
      <tr><td>shift up arrow</td><td>scroll the diagram up</td></tr>
      <tr><td>shift right arrow</td><td>scroll the diagram right</td></tr>
      <tr><td>shift left arrow</td><td>scroll the diagram left</td></tr>
    </table>
    <h3>dragging</h3>
    <table>
      <tr><td>ctrl mouse drag</td><td>drag the canvas</td></tr>
    </table>
    <h3>selecting</h3>
    <table>
      <tr><td>mouse click element</td><td>select the element and send its file location to the IDE:</td></tr>
      <tr><td class="ind">instance</td><td>select the instance</td></tr>
      <tr><td class="ind">port</td><td>select the port, and all connected bindings and ports</td></tr>
      <tr><td class="ind">binding</td><td>select the binding</td></tr>
      <tr><td>ctrl mouse click element</td><td>select as above, but send the following file location to the IDE:</td></tr>
      <tr><td class="ind">instance</td><td>the defining component</td></tr>
      <tr><td class="ind">port</td><td>the defining interface</td></tr>
      <tr><td class="ind">binding</td><td>the defining interface</td></tr>
      <tr><td>(ctrl) mouse click canvas</td><td>deselect any element</td></tr>
      </table>
    <h3>system opening and closing</h3>
    <table>
      <tr><td>mouse click on system [-] or [+] button</td><td>close or open the system</td></tr>
      <tr><td>ctrl mouse click on system [-] or [+] button</td><td>close or open the system and all its sub systems</td></tr>
    </table>
    <h3>component navigation</h3>
    <table>
      <tr><td>ctrl down arrow</td><td>select first sub component of the selected system</td></tr>
      <tr><td>ctrl up arrow</td><td>select the parent system of the selected component</td></tr>
      <tr><td>right arrow</td><td>select the component to the right of the selected component</td></tr>
      <tr><td>left arrow</td><td>select the component to the left of the selected component</td></tr>
      <tr><td>down arrow</td><td>select the first component in the row below the selected component</td></tr>
      <tr><td>up arrow</td><td>select the first component in the row above the selected component</td></tr>
      <tr><td>- on system selection</td><td>close the system</td></tr>
      <tr><td>+ on system selection</td><td>open the system</td></tr>
      <tr><td>enter</td><td>limit the view to the selected component</td></tr>
      <tr><td>backspace</td><td>undo the enter effect</td></tr>
      </table>
    <h3>save</h3>
    <table>
      <tr><td>ctrl s</td><td>save the diagram as an svg file</td></tr>
  </body>
</html>
